Primary key field hidden on attributes tables addes to qgis

2012-08-20 06:25 AM - bradypus -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15537

Description

Adding a sqlite text table (Layer > Add Vector Table) QGIS hides the primary key field (named `id`). The `id` field can not be used for

references, queries or joins.

The ID field should be displayed and usable at least in read-only actions, such as queries, joins etc.

More information can be found here: 

http://gis.stackexchange.com/questions/31732/primary-key-field-hidden-on-atributes-tables-addes-to-qgis and here 

http://comments.gmane.org/gmane.comp.gis.qgis.user/18353

Related issues:

Related to QGIS Application - Bug report # 11498: spatialite layer added via ... Closed 2014-10-25

History

#1 - 2012-08-20 06:27 AM - Giovanni Manghi

- Category set to Vectors

- Target version set to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-13 11:48 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I can't reproduce it on QGIS 2.13 master (and it should also be the case in QGIS 2.12.1).

When I am loading a SQLite non geographic table (and it is also true for geographic ones), the ID primary key is always displayed and editable. I can make

joins on it.

Can you confirm that this bug is fixed ?

#4 - 2015-12-20 09:20 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

duplicate of #11498
#5 - 2015-12-21 01:41 AM - Jürgen Fischer

- Subject changed from Primary key field hidden on atributes tables addes to qgis to Primary key field hidden on attributes tables addes to qgis
